Package: org.codehaus.groovy.tools.gse

## [Java] Class DependencyTracker

- org.codehaus.groovy.tools.gse.DependencyTracker

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DependencyTracker (SourceUnit source, StringSetMap cache)`
    `DependencyTracker (SourceUnit source, StringSetMap cache, Map<String, ?> precompiledEntries)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected SourceUnit` | `getSourceUnit()`
    `` | `void` | `visitAnnotations(AnnotatedNode node)`
    `` | `void` | `visitArrayExpression(ArrayExpression expression)`
    `` | `void` | `visitCastExpression(CastExpression expression)`
    `` | `void` | `visitCatchStatement(CatchStatement statement)`
    `` | `void` | `visitClass(ClassNode node)`
    `` | `void` | `visitClassExpression(ClassExpression expression)`
    `` | `void` | `visitConstructorCallExpression(ConstructorCallExpression call)`
    `` | `void` | `visitField(FieldNode node)`
    `` | `void` | `visitMethod(MethodNode node)`
    `` | `void` | `visitVariableExpression(VariableExpression expression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class ClassCodeVisitorSupport`

    `addError, getSourceUnit, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop`

    `class CodeVisitorSupport`

    `visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`

    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public DependencyTracker(SourceUnit source, StringSetMap cache)

    - #### public DependencyTracker(SourceUnit source, StringSetMap cache, Map<String, ?> precompiledEntries)

  - ### Method Detail

    - #### @Override protected SourceUnit getSourceUnit()

    - #### @Override public void visitAnnotations(AnnotatedNode node)

    - #### @Override public void visitArrayExpression(ArrayExpression expression)

    - #### @Override public void visitCastExpression(CastExpression expression)

    - #### @Override public void visitCatchStatement(CatchStatement statement)

    - #### @Override public void visitClass(ClassNode node)

    - #### @Override public void visitClassExpression(ClassExpression expression)

    - #### @Override public void visitConstructorCallExpression(ConstructorCallExpression call)

    - #### @Override public void visitField(FieldNode node)

    - #### @Override public void visitMethod(MethodNode node)

    - #### @Override public void visitVariableExpression(VariableExpression expression)